Main Page Modules Class Hierarchy Compound List File List Compound Members

# NEDParser Class Reference

`#include <nedparser.h>`

List of all members.

## Public Methods

| NEDParser ()
| ~NEDParser ()
bool | parseFile (const char *fname, bool parseexpr)
bool | parseText (const char *nedtext, bool parseexpr)
NEDElement* | getTree ()
void | error (const char *msg, int line)
void | dbg (YYLTYPE lc, const char *what)

## Public Attributes

NEDElement* | tree
NEDFileBuffer* | nedsource

## Protected Attributes

const char* | filename
int | num_errors

## Detailed Description

Parses NED files into a NED object tree. Elements of the tree are subclassed from NEDElement; NEDElementFactory is used to actually create the objects. Internally this class uses a bison/flex grammar and NEDFileBuffer.

## Constructor & Destructor Documentation

NEDParser::NEDParser ( | )

| Constructor.

NEDParser::~NEDParser ( | )

| Destructor.

## Member Function Documentation

NEDElement * NEDParser::getTree ( | )

| Returns the object tree which is the result of the parsing. Further calls to getTree() result in NULL pointer to be returned.

bool NEDParser::parseFile ( | const char * fname,
| bool parseexpr )

| Parse the given file. Bool argument specifies if expressions should be parsed or not. Result can be obtained from getTree().

bool NEDParser::parseText ( | const char * nedtext,
| bool parseexpr )

| Parse the given NED text. Bool argument specifies if expressions should be parsed or not. Result can be obtained from getTree().

The documentation for this class was generated from the following file:

- nedparser.h